;
;	   hider file for ATtiny25/45/85 chip
;		version 1.02 KOBRA softvare
;		  for version2 assembler!
;------------------------------------------------------
;
;	Projekt _______firefly
;	Filename ______firefly4.asm
;	File version __
;	Autor _________ BORIS KRUTITSKIY
;
;------------------------------------------------------
;   (in shipped):
;      ----- Fuse Extended Byte -----
; SELFPRGEN = 1 Self-programming enabled (=0, =1)
;            ( SPM)  (0-)
;       -----  Fuse High Byte -----
; RSTDISBL = 1 External reset disabled (=0, =1)
;     !!!    RSTDISBL=0   
;             "high-voltage serial mode" !!!
; DWEN = 1 DebugWIRE enabled (=0, =1)
;      Must be unprogrammed when lock bit security is required.
; SPIEN = 0 Serial program and data download (=0, =1)
;        SPIEN=0,    ponyprog2000 .
; WDTON = 1 Watchdog timer always on (=0, =1)
; EESAVE = 1 EEPROM preserves chip erase  (=0, =1)
;           EESAVE=1 (EEPROM not preserved)
; BODLEVEL2:BODLEVEL1:BODLEVEL0 = 111 Brown-out Detector trigger leve
;     111   brown-out detection 
;     110 = 1,7-1,8-2,0 V
;     101 = 2,5-2,7-2,9 V
;     100 = 4,1-4,3-4,5 V
;     0xx   reserved
;        -----  Fuse Low Byte -----
; CKDIV8 = 0 Clock divided by 8 (=0, =1)
; CKOUT = 1 Clock output enabled (enabled=0, disabled=1)
; SUT1:SUT0 = 10  Slowly rising power, Start-up Time from Power-down = 6CK,
;           Additional Delay from Reset (VCC = 5.0V) = 14CK + 64mS
; CKSEL3:CKSEL2:CKSEL1:CKSEL0 = 0010  RC  8
;--------------------------------------------------------------------
;			!!!
;    ATtiny25/45/85   
;     RC .
;     001   
;      8 MHz.  
;     OSCCAL    .
;   003     6,4 ( 
;  ATtiny15.    
;     OSCCAL    .
;   .
;
;       
;,   ,   LPM.
;        .
;
;    /PLL (16 sys & 64/32 PCK)
;     ATtiny15   !!!
;------------------------------------------------------
;
;    :
;
; SELFPRGEN = 1  ( SPM) 
; RSTDISBL = 1  RST   
;             (0-    " !!!)
; DWEN = 1  gebugWire 
; SPIEN = 0   
; WDTON = 1 WDT    
; EESAVE = 1    EEPROM - 1 
; BODLEVEL2:BODLEVEL1:BODLEVEL0 = 111  brown-out detection 
; CKDIV8 = 0     8
;            (clkps 3-0 = 0011 / =8/)
; CKOUT = 1      4 
; SUT1:SUT0 = 10  Slowly rising power, Start-up Time from Power-down = 6CK,
;           Additional Delay from Reset (VCC = 5.0V) = 14CK + 64mS
; CKSEL3:CKSEL2:CKSEL1:CKSEL0 = 0001  RC  8  PLL
;              16.  PLLE 
;             LSM  
;
;------------------------------------------------------
		.nolist
		.include "baseinc\tn45def.inc" ; tn45def.inc tn85def.inc
		.list
;	  .listmac
; -----------------------------------------------------
  .include "librus\map_def_ffly4.txt" ;   ,   
  .include "librus\mac_t2812.txt" ;   
;     name project     
;             name project = proto
;______________________________________________________
  .include "librus\irq_t45.txt" ;      
  .include "librus\trd2812_m.txt" ;    
                         ;        WS2812B
  .include "librus\libr_ffly2.txt" ;     
  .include "librus\hass.txt" ;    
  .include "librus\mark_t0.txt" ;   
                        ;  -   - /0
  .include "librus\hard_ffly4.txt" ;    
  .include "librus\soft2812.txt" ;    WS2812
; - - - - - - - - - - - - - - - - - - - - - - - - - - -
  .include "librus\bodun_ffly4.txt" ;    power down
; - - - - - - - - - - - - - - - - - - - - - - - - - - -

	.exit
